Bug 58666 - ATI Mach64 does not work with Compaq deskpro
ATI Mach64 does not work with Compaq deskpro
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-22 11:15 EST by salemf
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 14:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description salemf 2002-01-22 11:15:30 EST
Description of Problem:
Hi all,

I'm trying to Install Redhat 7.2 Linux on my box (COMPAQ DESKPRO).

I'm facing problems with XF86. The Installation went perfectly in graphic mode.

 

While starting X (startx) the XF86 server keeps repoerting, that my XFconfig 
file is faulty, although the devices (graphic card and Monitor) are detected 
correctly. 

Please see the included files!



Version-Release number of selected component (if applicable):

see log files

How Reproducible:

start the command "startx"


Steps to Reproduce:
1. create the XFconfig file .e.g. use xconfigurator
2. issue startx
3. 

Actual Results:

the Xserver does not start

Expected Results:

the Xserver should start!

Additional Information:
	
log files:
1.)XFree86.0.log

XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-3) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF]   
Build Host: stripples.devel.redhat.com
   
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Jan 15 17:10:25 2002
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "COMPAQ S710"
(**) |   |-->Device "ATI Mach64"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "de"
(**) XKB: layout: "de"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:0d:0: chip 8086,1229 card 8086,000e rev 08 class 02,00,00 hdr 00
(II) PCI: 00:14:0: chip 8086,7110 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:14:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
(II) PCI: 00:14:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
(II) PCI: 00:14:3: chip 8086,7113 card 0000,0000 rev 02 class 06,80,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4742 card 1002,0084 rev 5c class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x8c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x00001000 - 0x000010ff (0x100) IX[B]
	[1] -1	0x00001400 - 0x000014ff (0x100) IX[B]
	[2] -1	0x00001800 - 0x000018ff (0x100) IX[B]
	[3] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0x40000000 - 0x410fffff (0x1100000) MX[B]
(II) Bus 1 prefetchable memory range:
(II) Bus -1: bridge is at (0:20:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Mach64 GB rev 92, Mem @ 0x40000000/24, 0x41000000/12, I/O 
@ 0x1000/8
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[1] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[2] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[3] -1	0x41000000 - 0x41000fff (0x1000) MX[B](B)
	[4] -1	0x40000000 - 0x40ffffff (0x1000000) MX[B](B)
	[5] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[6] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[7] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[8] -1	0x00001000 - 0x000010ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[1] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[2] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[3] -1	0x41000000 - 0x41000fff (0x1000) MX[B](B)
	[4] -1	0x40000000 - 0x40ffffff (0x1000000) MX[B](B)
	[5] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[6] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[7] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[8] -1	0x00001000 - 0x000010ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[6] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[7] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[8] -1	0x41000000 - 0x41000fff (0x1000) MX[B](B)
	[9] -1	0x40000000 - 0x40ffffff (0x1000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[13] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[14] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[15] -1	0x00001000 - 0x000010ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 6.3.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.3.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
	ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
	ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
	ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
	ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LY (AGP),
	ATI Radeon Mobility LZ (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "ATI Mach64".
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 assigned to active "Device" 
section "ATI Mach64".
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[6] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[7] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[8] -1	0x41000000 - 0x41000fff (0x1000) MX[B](B)
	[9] -1	0x40000000 - 0x40ffffff (0x1000000) MX[B](B)
	[10] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[13] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[14] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[15] -1	0x00001000 - 0x000010ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module atimisc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 6.3.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(WW) ****INVALID MEM ALLOCATION**** b: 0x40000000 e: 0x40ffffff correcting
(II) NonSys
	[0] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[1] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[2] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[3] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[9] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[10] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[11] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) window:
	[0] -1	0x40000000 - 0x410fffff (0x1100000) MX[B]
(II) resSize:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) window fixed:
	[0] -1	0x40000000 - 0x410fffff (0x1100000) MX[B]
(EE) Cannot find a replacement memory range
(WW) ****INVALID MEM ALLOCATION**** b: 0x41000000 e: 0x41000fff correcting
(II) NonSys
	[0] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[1] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[2] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[3] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[9] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[10] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[11] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[12] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) window:
	[0] -1	0x40000000 - 0x410fffff (0x1100000) MX[B]
(II) resSize:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) window fixed:
	[0] -1	0x40000000 - 0x410fffff (0x1100000) MX[B]
(EE) Cannot find a replacement memory range
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x44000000 - 0x440fffff (0x100000) MX[B]
	[6] -1	0x44100000 - 0x44100fff (0x1000) MX[B]
	[7] -1	0x40000000 - 0x43ffffff (0x4000000) MX[B]
	[8] -1	0x41000000 - 0x41000fff (0x1000) MX[B](B)
	[9] -1	0x40000000 - 0x40ffffff (0x1000000) MX[B](B)
	[10] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x00002040 - 0x0000205f (0x20) IX[B]
	[16] -1	0x00002060 - 0x0000206f (0x10) IX[B]
	[17] -1	0x00002000 - 0x0000203f (0x40) IX[B]
	[18] -1	0x00001000 - 0x000010ff (0x100) IX[B](B)
	[19] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[20] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(EE) ATI(0): Unable to register the following bus resources:
	[0] 0	0x41000000 - 0x41000fff (0x1000) MS[B]
	[1] 0	0x40000000 - 0x40ffffff (0x1000000) MS[B]
(II) UnloadModule: "ati"
(II) UnloadModule: "atimisc"
(II) Unloading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.


2.) XF86Config
# File generated by XConfigurator.

# **********************************************************************
# Refer to the XF86Config(4/5) man page for details about the format of   
# this file.
# **********************************************************************

# **********************************************************************
# Files section.  This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

EndSection

# **********************************************************************
# Server flags section.
# **********************************************************************

Section "ServerFlags"

    # Uncomment this to cause a core dump at the spot where a signal is   
    # received.  This may leave the console in an unusable state, but may
    # provide a better stack trace in the core dump to aid in debugging
    #NoTrapSignals

    # Uncomment this to disable the <Crtl><Alt><BS> server abort sequence
    # This allows clients to receive this key event.
    #DontZap

    # Uncomment this to disable the <Crtl><Alt><KP_+>/<KP_-> mode switching
    # sequences.  This allows clients to receive these key events.
    #DontZoom

EndSection

# **********************************************************************
# Input devices
# **********************************************************************

# **********************************************************************
# Keyboard section
# **********************************************************************

Section "Keyboard"

    Protocol    "Standard"

    # when using XQUEUE, comment out the above line, and uncomment the
    # following line
    #Protocol   "Xqueue"

    AutoRepeat  500 5

    # Let the server do the NumLock processing.  This should only be   
    # required when using pre-R6 clients
    #ServerNumLock

    # Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
    #Xleds      1 2 3

    #To set the LeftAlt to Meta, RightAlt key to ModeShift,   
    #RightCtl key to Compose, and ScrollLock key to ModeLock:

    LeftAlt        Meta
    RightAlt        Meta
   ScrollLock      Compose
   RightCtl        Control

# To disable the XKEYBOARD extension, uncomment XkbDisable.

#    XkbDisable

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#    XkbModel    "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#    XkbModel    "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#    XkbLayout   "de"
# or:
#    XkbLayout   "de"
#    XkbVariant  "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#    XkbOptions  "ctrl:swapcaps"

# These are the default XKB settings for XFree86
#    XkbRules    "xfree86"
#    XkbModel    "pc101"
#    XkbLayout   "us"
#    XkbVariant  ""
#    XkbOptions  ""

   XkbKeycodes     "xfree86"
   XkbTypes        "default"
   XkbCompat       "default"
   XkbSymbols      "us(pc101)"
   XkbGeometry     "pc"
   XkbRules        "xfree86"
    XkbModel        "pc101"
    XkbLayout       "de"
EndSection

# **********************************************************************
# Pointer section
# **********************************************************************

Section "Pointer"
    Protocol    "PS/2"
    Device      "/dev/mouse"
    ZAxisMapping 4 5

# When using XQUEUE, comment out the above two lines, and uncomment
# the following line.

#    Protocol	"Xqueue"

# Baudrate and SampleRate are only for some Logitech mice

#    BaudRate	9600
#    SampleRate	150

# Emulate3Buttons is an option for 2-button Microsoft mice
# Emulate3Timeout is the timeout in milliseconds (default is 50ms)

#    Emulate3Buttons
#    Emulate3Timeout    50

# ChordMiddle is an option for some 3-button Logitech mice

#    ChordMiddle

EndSection


# **********************************************************************
# Monitor section
# **********************************************************************

# Any number of monitor sections may be present

Section "Monitor"

    Identifier  "COMPAQ S710"
    VendorName  "Unknown"
    ModelName   "Unknown"

# HorizSync is in kHz unless units are specified.
# HorizSync may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    HorizSync   30 - 70

# VertRefresh is in Hz unless units are specified.
# VertRefresh may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    VertRefresh 50 - 160

# Modes can be specified in two formats.  A compact one-line format, or
# a multi-line format.

# These two are equivalent

#    ModeLine "1024x768i" 45 1024 1048 1208 1264 768 776 784 817 Interlace

#    Mode "1024x768i"
#        DotClock	45
#        HTimings	1024 1048 1208 1264
#        VTimings	768 776 784 817
#        Flags		"Interlace"
#    EndMode

# This is a set of standard mode timings. Modes that are out of monitor spec
# are automatically deleted by the server (provided the HorizSync and
# VertRefresh lines are correct), so there's no immediate need to
# delete mode timings (unless particular mode timings don't work on your
# monitor). With these modes, the best standard mode that your monitor
# and video card can support for a given resolution is automatically
# used.

# 512x384 @ 78 Hz, 31.50 kHz hsync
Modeline "512x384"    20.160 512  528  592  640   384  385  388  404 -HSync -
VSync
# 512x384 @ 85 Hz, 34.38 kHz hsync
Modeline "512x384"    22     512  528  592  640   384  385  388  404 -HSync -
VSync

# 640x400 @ 70 Hz, 31.5 kHz hsync
Modeline "640x400"     25.175 640  664  760  800   400  409  411  450
# 640x400 @ 85 Hz, 37.86 kHz hsync
Modeline "640x400"     31.5   640  672 736   832   400  401  404  445 -HSync 
+VSync

# 640x480 @ 100 Hz, 53.01 kHz hsync
Modeline "640x480"     45.8   640  672  768  864   480  488  494  530 -HSync -
VSync
# 640x480 @ 60 Hz, 31.5 kHz hsync
Modeline "640x480"     25.175 640  664  760  800   480  491  493  525
# 640x480 @ 72 Hz, 36.5 kHz hsync
Modeline "640x480"     31.5   640  680  720  864   480  488  491  521
# 640x480 @ 75 Hz, 37.50 kHz hsync
ModeLine  "640x480"    31.5   640  656  720  840   480  481  484  500 -HSync -
VSync
# 640x480 @ 85 Hz, 43.27 kHz hsync

Modeline "640x480"     36     640  696  752  832   480  481  484  509 -HSync -
VSync
# 800x600 @ 100 Hz, 64.02 kHz hsync
Modeline  "800x600"    69.65  800  864  928 1088   600  604  610  640 -HSync -
VSync
# 800x600 @ 56 Hz, 35.15 kHz hsync
ModeLine "800x600"     36     800  824  896 1024   600  601  603  625
# 800x600 @ 60 Hz, 37.8 kHz hsync
Modeline "800x600"     40     800  840  968 1056   600  601  605  628 +hsync 
+vsync
# 800x600 @ 72 Hz, 48.0 kHz hsync
Modeline "800x600"     50     800  856  976 1040   600  637  643  666 +hsync 
+vsync
# 800x600 @ 85 Hz, 55.84 kHz hsync
Modeline  "800x600"    60.75  800  864  928 1088   600  616  621  657 -HSync -
VSync

# 1024x480 for certain Vaios
Modeline "1024x480"   65 1024 1032 1176 1344 480 491 493 525 -HSync -VSync

# 1024x768 @ 100Hz, 80.21 kHz hsync
Modeline "1024x768"   115.5  1024 1056 1248 1440  768  771  781  802 -HSync -
VSync
# 1024x768 @ 60 Hz, 48.4 kHz hsync
Modeline "1024x768"    65    1024 1032 1176 1344   768  771  777  806 -hsync -
vsync
# 1024x768 @ 70 Hz, 56.5 kHz hsync
Modeline "1024x768"    75    1024 1048 1184 1328   768  771  777  806 -hsync -
vsync
# 1024x768 @ 76 Hz, 62.5 kHz hsync
Modeline "1024x768"    85    1024 1032 1152 1360   768  784  787  823
# 1024x768 @ 85 Hz, 70.24 kHz hsync
Modeline "1024x768"   98.9  1024 1056 1216 1408   768 782 788 822 -HSync -VSync

# 1152x864 @ 100 Hz, 89.62 kHz hsync
Modeline "1152x864"   137.65 1152 1184 1312 1536   864  866  885  902 -HSync -
VSync
# 1152x864 @ 60 Hz, 53.5 kHz hsync
Modeline  "1152x864"   89.9  1152 1216 1472 1680   864  868  876  892 -HSync -
VSync
# 1152x864 @ 70 Hz, 62.4 kHz hsync
Modeline  "1152x864"   92    1152 1208 1368 1474   864  865  875  895
# 1152x864 @ 78 Hz, 70.8 kHz hsync
Modeline "1152x864"   110   1152 1240 1324 1552   864  864  876  908
# 1152x864 @ 84 Hz, 76.0 kHz hsync
Modeline "1152x864"   135    1152 1464 1592 1776   864  864  876  908

# 1280x960 @ 60 HzModeline "1280x960"   108   1280 1376 1488 1800 960 961 964 
1000 +HSync +VSync
# 1280x960 @ 85 HzModeline "1280x960"   148.5 1280 1344 1504 1728 960 961 964 
1011  +HSync +VSync

# 1280x1024 @ 100 Hz, 107.16 kHz hsync
Modeline "1280x1024"  181.75 1280 1312 1440 1696  1024 1031 1046 1072 -HSync -
VSync
# 1280x1024 @ 61 Hz, 64.2 kHz hsync
Modeline "1280x1024"  110    1280 1328 1512 1712  1024 1025 1028 1054
# 1280x1024 @ 70 Hz, 74.59 kHz hsync
Modeline "1280x1024"  126.5 1280 1312 1472 1696  1024 1032 1040 1068 -HSync -
VSync
# 1280x1024 @ 74 Hz, 78.85 kHz hsync
Modeline "1280x1024"  135    1280 1312 1456 1712  1024 1027 1030 1064
# 1280x1024 @ 76 Hz, 81.13 kHz hsync
Modeline "1280x1024"  135    1280 1312 1416 1664  1024 1027 1030 1064
# 1280x1024 @ 85 Hz, 91.15 kHz hsync
Modeline "1280x1024"  157.5  1280 1344 1504 1728  1024 1025 1028 1072 +HSync 
+VSync

# 1400x1050 @ 60Hz, 65.8 kHz hsync
Modeline "1400x1050"  129   1400 1464 1656 1960 1050 1051 1054 1100 +HSync 
+VSync
# 1400x1050 @ 70Hz, 76.8 kHz hsync
Modeline "1400x1050"  151   1400 1464 1656 1960 1050 1051 1054 1100 +HSync 
+VSync
# 1400x1050 @ 75Hz, 82.3 kHz hsync
Modeline "1400x1050"  162   1400 1464 1656 1960 1050 1051 1054 1100 +HSync 
+VSync
# 1400x1050 @ 85Hz, 93.2 kHz hsync
Modeline "1400x1050"  184   1400 1464 1656 1960 1050 1051 1054 1100 +HSync 
+VSync

# 1600x1200 @ 60Hz, 75.00 kHz hsync
Modeline "1600x1200"  162   1600 1664 1856 2160  1200 1201 1204 1250 +HSync 
+VSync
# 1600x1200 @ 70 Hz, 87.50 kHz hsync
Modeline "1600x1200"  189    1600 1664 1856 2160  1200 1201 1204 1250 -HSync -
VSync
# 1600x1200 @ 75 Hz, 93.75 kHz hsync
Modeline "1600x1200"  202.5  1600 1664 1856 2160  1200 1201 1204 1250 +HSync 
+VSync
# 1600x1200 @ 85 Hz, 105.77 kHz hsync
Modeline "1600x1200"  220    1600 1616 1808 2080  1200 1204 1207 1244 +HSync 
+VSync

# 1800x1440 @ 64Hz, 96.15 kHz hsync   
ModeLine "1800X1440"  230    1800 1896 2088 2392 1440 1441 1444 1490 +HSync 
+VSync
# 1800x1440 @ 70Hz, 104.52 kHz hsync   
ModeLine "1800X1440"  250    1800 1896 2088 2392 1440 1441 1444 1490 +HSync 
+VSync

# Low-res Doublescan modes
# If your chipset does not support doublescan, you get a 'squashed'
# resolution like 320x400.

# 320x200 @ 70 Hz, 31.5 kHz hsync, 8:5 aspect ratio
Modeline "320x200"     12.588 320  336  384  400   200  204  205  225 Doublescan
# 320x240 @ 60 Hz, 31.5 kHz hsync, 4:3 aspect ratio
Modeline "320x240"     12.588 320  336  384  400   240  245  246  262 Doublescan
# 320x240 @ 72 Hz, 36.5 kHz hsync
Modeline "320x240"     15.750 320  336  384  400   240  244  246  262 Doublescan
# 400x300 @ 56 Hz, 35.2 kHz hsync, 4:3 aspect ratio
ModeLine "400x300"     18     400  416  448  512   300  301  302  312 Doublescan
# 400x300 @ 60 Hz, 37.8 kHz hsync
Modeline "400x300"     20     400  416  480  528   300  301  303  314 Doublescan
# 400x300 @ 72 Hz, 48.0 kHz hsync
Modeline "400x300"     25     400  424  488  520   300  319  322  333 Doublescan
# 480x300 @ 56 Hz, 35.2 kHz hsync, 8:5 aspect ratio
ModeLine "480x300"     21.656 480  496  536  616   300  301  302  312 Doublescan
# 480x300 @ 60 Hz, 37.8 kHz hsync
Modeline "480x300"     23.890 480  496  576  632   300  301  303  314 Doublescan
# 480x300 @ 63 Hz, 39.6 kHz hsync
Modeline "480x300"     25     480  496  576  632   300  301  303  314 Doublescan
# 480x300 @ 72 Hz, 48.0 kHz hsync
Modeline "480x300"     29.952 480  504  584  624   300  319  322  333 Doublescan

EndSection


# **********************************************************************
# Graphics device section
# **********************************************************************

# Any number of graphics device sections may be present

Section "Device"
    Identifier        "Generic VGA"
    VendorName        "Unknown"
    BoardName "Unknown"
    Chipset   "generic"

#    VideoRam 256

#    Clocks   25.2 28.3

EndSection

# Device configured by Xconfigurator:

Section "Device"
    Identifier  "ATI Mach64"
    VendorName  "Unknown"
    BoardName   "Unknown"
    #VideoRam    8192
    # Insert Clocks lines here if appropriate
EndSection


# **********************************************************************
# Screen sections
# **********************************************************************

# The Colour SVGA server

Section "Screen"
    Driver      "svga"
    Device      "Generic VGA"
    #Device      "ATI Mach64"
    Monitor     "COMPAQ S710"
    Subsection "Display"
        Depth       8
        #Modes       (null)
        ViewPort    0 0
    EndSubsection
EndSection

# The 16-color VGA server

Section "Screen"
    Driver      "vga16"
    Device      "Generic VGA"
    Monitor     "COMPAQ S710"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

# The Mono server

Section "Screen"
    Driver      "vga2"
    Device      "Generic VGA"
    Monitor     "COMPAQ S710"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
    EndSubsection
EndSection

# The accelerated servers (S3, Mach32, Mach8, 8514, P9000, AGX, W32, Mach64
# I128, and S3V)
Section "Screen"
    Driver      "accel"
    Device      "ATI Mach64"
    Monitor     "COMPAQ S710"
    DefaultColorDepth   16
    Subsection "Display"
        Depth       16
        Modes       "1024x768"
        ViewPort    0 0
    EndSubsection
EndSection



3.) XF86Config-4
# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"de"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "COMPAQ S710"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30 - 70
	VertRefresh 50 - 160
	Option "dpms"
EndSection

Section "Device"
	Identifier "ATI Mach64"
	Driver "ati"
	BoardName "Unknown"
EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "ATI Mach64"
	Monitor "COMPAQ S710"
	DefaultDepth 16
	Subsection "Display"
		Depth 16
		Modes "1024x768"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection
Comment 1 Mike A. Harris 2002-01-23 07:06:07 EST
You're running XFree86 4.1.0-3 and have pasted the right logfile and
the wrong config file.  XF86Congig-4 is the proper config file.

Also, please do not cut and paste large files into reports, use the
file attach feature instead please.  It makes it much easier to follow
a report that way.  Thanks.

Comment 2 Mike A. Harris 2002-02-09 14:10:26 EST
Can you please attach the proper config file to the bug report using
the link below ( /etc/X11/XF86Config-4 ) and we can try to troubleshoot
this problem further.

Thanks.
Comment 3 Mike A. Harris 2002-05-21 03:51:35 EDT
All Mach64 cards at my disposal work fine with XFree86 4.1.0-15 (current
erratum release) and with XFree86 4.2.0 in Red Hat Linux 7.3.  Please
upgrade to the latest release and reopen the bug report if the problem
persists.  Be sure to provide as many details as possible, and please
attach all logs/configs using the link below, and not cut and pasted
inline.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.